Multi Download Progress

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API uses the WMS key generated using (returned from) the Download Multiple Files/Folders as ZIP to get the content of the compressed ZIP formatted files.

Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url 'https://www.zohoapis.com/workdrive/downloadprogress?progressid={zuid}_{wms_key_in_api_response}' \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

progressidstring(Required)

WMS Key which returned from Download Multiple Files/Folders as ZIP.
Format: {zuid}+ "_" + {WMS key in API response}

Response Example

200
200
202
400
422
500
507
Copied!
  {
    "RESOURCE_GROUP": "FILE",
    "download_link": "https://download.zoho.com/v1/workdrive/download/5zpiwaa12289891ba4eb29c9c0486855fe32e",
    "OPERATION": "download_progress",
    "docId": "5zpiwaa12289891ba4eb29c9c0486855fe32e",
    "actionId": "TD_DLD_1628776217156",
    "ZUID": "61220846",
    "WMS_SENT_TIME": "1628785094909"
  }
                
  {
    "initParameterNames": {},
    "servletContext": {
      "initParameterNames": {},
      "virtualServerName": "string",
      "classLoader": {
        "parent": {},
        "unnamedModule": {
          "declaredAnnotations": [
            {}
          ],
          "named": true,
          "classLoader": {},
          "name": "string",
          "annotations": [
            {}
          ],
          "descriptor": {
            "automatic": true,
            "open": true
          },
          "packages": [
            "string"
          ],
          "layer": {}
        },
        "name": "string",
        "registeredAsParallelCapable": true,
        "definedPackages": [
          {
            "specificationVendor": "string",
            "declaredAnnotations": [
              null
            ],
            "specificationTitle": "string",
            "implementationVersion": "string",
            "sealed": true,
            "name": "string",
            "implementationVendor": "string",
            "annotations": [
              null
            ],
            "implementationTitle": "string",
            "specificationVersion": "string"
          }
        ]
      },
      "filterRegistrations": {
        "property1": {
          "initParameters": {
            "property1": "string",
            "property2": "string"
          },
          "name": "string",
          "className": "string",
          "servletNameMappings": [
            "string"
          ],
          "urlPatternMappings": [
            "string"
          ]
        },
        "property2": {
          "initParameters": {
            "property1": "string",
            "property2": "string"
          },
          "name": "string",
          "className": "string",
          "servletNameMappings": [
            "string"
          ],
          "urlPatternMappings": [
            "string"
          ]
        }
      },
      "servletNames": {},
      "contextPath": "string",
      "defaultSessionTrackingModes": [
        "COOKIE"
      ],
      "majorVersion": 0,
      "sessionCookieConfig": {
        "path": "string",
        "maxAge": 0,
        "domain": "string",
        "name": "string",
        "comment": "string",
        "httpOnly": true,
        "secure": true
      },
      "effectiveMinorVersion": 0,
      "effectiveSessionTrackingModes": [
        "COOKIE"
      ],
      "attributeNames": {},
      "servletRegistrations": {
        "property1": {
          "initParameters": {
            "property1": "string",
            "property2": "string"
          },
          "mappings": [
            "string"
          ],
          "runAsRole": "string",
          "name": "string",
          "className": "string"
        },
        "property2": {
          "initParameters": {
            "property1": "string",
            "property2": "string"
          },
          "mappings": [
            "string"
          ],
          "runAsRole": "string",
          "name": "string",
          "className": "string"
        }
      },
      "serverInfo": "string",
      "jspConfigDescriptor": {
        "jspPropertyGroups": [
          {
            "elIgnored": "string",
            "isXml": "string",
            "errorOnUndeclaredNamespace": "string",
            "trimDirectiveWhitespaces": "string",
            "scriptingInvalid": "string",
            "urlPatterns": [
              null
            ],
            "pageEncoding": "string",
            "includePreludes": [
              null
            ],
            "buffer": "string",
            "deferredSyntaxAllowedAsLiteral": "string",
            "defaultContentType": "string",
            "includeCodas": [
              null
            ]
          }
        ],
        "taglibs": [
          {
            "taglibLocation": "string",
            "taglibURI": "string"
          }
        ]
      },
      "servlets": {},
      "requestCharacterEncoding": "string",
      "responseCharacterEncoding": "string",
      "sessionTimeout": 0,
      "minorVersion": 0,
      "servletContextName": "string",
      "effectiveMajorVersion": 0
    },
    "servletConfig": {
      "initParameterNames": {},
      "servletContext": {
        "initParameterNames": {},
        "virtualServerName": "string",
        "classLoader": {
          "parent": {},
          "unnamedModule": {
            "declaredAnnotations": [
              null
            ],
            "named": true,
            "classLoader": {},
            "name": "string",
            "annotations": [
              null
            ],
            "descriptor": {},
            "packages": [
              null
            ],
            "layer": {}
          },
          "name": "string",
          "registeredAsParallelCapable": true,
          "definedPackages": [
            {
              "declaredAnnotations": [],
              "annotations": []
            }
          ]
        },
        "filterRegistrations": {
          "property1": {
            "initParameters": {},
            "name": "string",
            "className": "string",
            "servletNameMappings": [
              null
            ],
            "urlPatternMappings": [
              null
            ]
          },
          "property2": {
            "initParameters": {},
            "name": "string",
            "className": "string",
            "servletNameMappings": [
              null
            ],
            "urlPatternMappings": [
              null
            ]
          }
        },
        "servletNames": {},
        "contextPath": "string",
        "defaultSessionTrackingModes": [
          "COOKIE"
        ],
        "majorVersion": 0,
        "sessionCookieConfig": {
          "path": "string",
          "maxAge": 0,
          "domain": "string",
          "name": "string",
          "comment": "string",
          "httpOnly": true,
          "secure": true
        },
        "effectiveMinorVersion": 0,
        "effectiveSessionTrackingModes": [
          "COOKIE"
        ],
        "attributeNames": {},
        "servletRegistrations": {
          "property1": {
            "initParameters": {},
            "mappings": [
              null
            ],
            "runAsRole": "string",
            "name": "string",
            "className": "string"
          },
          "property2": {
            "initParameters": {},
            "mappings": [
              null
            ],
            "runAsRole": "string",
            "name": "string",
            "className": "string"
          }
        },
        "serverInfo": "string",
        "jspConfigDescriptor": {
          "jspPropertyGroups": [
            {
              "urlPatterns": [],
              "includePreludes": [],
              "includeCodas": []
            }
          ],
          "taglibs": [
            {}
          ]
        },
        "servlets": {},
        "requestCharacterEncoding": "string",
        "responseCharacterEncoding": "string",
        "sessionTimeout": 0,
        "minorVersion": 0,
        "servletContextName": "string",
        "effectiveMajorVersion": 0
      },
      "servletName": "string"
    },
    "servletInfo": "string",
    "servletName": "string"
  }
                
400 Bad Request
422 Unprocessable Entity
500 Internal Server Error
507 Insufficient Storage
Show full